// CRYSTAL BALL IN TINY84 WITH OLED. DEFRAN24
// Compile in Simulide/Custom/Custom Board: ATTinyCore:avr:attinyx4

#include <TinyWireM.h>    // OLED ADDR.: 60d (3Ch)
#include <Tiny4kOLED.h>
int mon=8;
const int pulsa=10;
int pito=2;
int pulsav=0;
int respues;  

void setup() 
{
  oled.begin(128, 64, sizeof(tiny4koled_init_128x64br), tiny4koled_init_128x64br);
  oled.clear();
  oled.on();
  pinMode(mon, OUTPUT);
  digitalWrite(mon,HIGH);
  digitalWrite(mon,LOW);
  pinMode(pulsa, INPUT_PULLUP);
  pinMode(pito, OUTPUT);
  randomSeed(analogRead(A0));                 // SEED
}

void loop() 
{ 
  oled.setFont(FONT8X16);
  oled.setCursor(6, 0);
  oled.print(" CRYSTAL BALL");
  oled.setFont(FONT6X8);
  oled.setCursor(0, 2);
  oled.fillToEOL(0x10);                       // LINE
  oled.setCursor(2, 4);
  oled.print("> ASK AND PRESS [A]");
  tone(pito, 100, 60);                        // AVZ, FREQ, TIME
  do {pulsav=digitalRead(pulsa); delay (50);} // PRESS THE BUTTON
  while (pulsav==HIGH);
  respues=random(13);
  oled.setCursor(2, 3);
  oled.print("                       ");
  oled.setCursor(0, 4); 
  oled.print("> The Ball Says... : "); 
  digitalWrite(mon, HIGH); delay(300); digitalWrite(mon, LOW); delay(300);
  digitalWrite(mon, HIGH); delay(300); digitalWrite(mon, LOW); delay(300);
  digitalWrite(mon, HIGH);
  oled.setCursor(0, 6);
  switch (respues)
  {
    case 0: oled.print("Yes!!");              break;
    case 1: oled.print("Likely!");            break;
    case 2: oled.print("THAT'S HOW IT IS!");  break;
    case 3: oled.print("Very Good!");         break;
    case 4: oled.print("Unsure!");            break;
    case 5: oled.print("New Question...");    break;
    case 6: oled.print("Doubful!");           break;
    case 7: oled.print("Not!!");              break;
    case 8: oled.print("Bull Shit!");         break;
    case 9: oled.print("AY AY AY...");        break;
    case 10: oled.print("In God's hands");    break;
    case 11: oled.print("If you believe it"); break;
    case 12: oled.print("That is secret");    break;
  }
  tone(pito, 900, 60);                     // AVZ, FREQ, TIME
  delay(4000);
  digitalWrite(mon, LOW);
  oled.setCursor(0, 4); 
  oled.print("                     "); 
  oled.setCursor(0, 6);
  oled.print("                     ");
}

